package interfaz;

import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPasswordField;
import javax.swing.JTextField;

import org.nrg.dcm.browse.DicomBrowser;

import webservice.WebServiceLogin;

public class Login {

	JFrame jf;

	JButton buttonLogin;
	JButton buttonCancel;

	JLabel labelUsuario;
	JLabel labelContraseña;
	JLabel labelMensaje;

	JTextField textUsuario;
	JPasswordField passContraseña;

	public Login() {
		
		jf = new JFrame("Ventana Login");
		jf.setBounds(350, 300, 500, 250);
		jf.setVisible(true);
		jf.setLayout(null);

		buttonLogin = new JButton();
		buttonLogin.setText("Login");
		buttonLogin.setBounds(150, 170, 90, 30);
		buttonLogin.setVisible(true);

		buttonCancel = new JButton();
		buttonCancel.setText("Cancel");
		buttonCancel.setBounds(270, 170, 90, 30);
		buttonCancel.setVisible(true);

		labelUsuario = new JLabel();
		labelUsuario.setText("Usuario:");
		labelUsuario.setBounds(30, 40, 120, 20);
		labelUsuario.setVisible(true);

		labelContraseña = new JLabel();
		labelContraseña.setText("Contraseña:");
		labelContraseña.setBounds(30, 80, 120, 20);
		labelContraseña.setVisible(true);

		labelMensaje = new JLabel();
		labelMensaje.setText("");
		labelMensaje.setBounds(30, 120, 300, 20);

		textUsuario = new JTextField();
		textUsuario.setBounds(150, 40, 300, 20);
		textUsuario.setVisible(true);

		passContraseña = new JPasswordField();
		passContraseña.setBounds(150, 80, 300, 20);
		passContraseña.setVisible(true);

		jf.add(buttonLogin);
		jf.add(buttonCancel);
		jf.add(labelUsuario);
		jf.add(labelContraseña);
		jf.add(labelMensaje);
		jf.add(textUsuario);
		jf.add(passContraseña);

		buttonCancel.addActionListener(new ActionListener() {
			
			public void actionPerformed(java.awt.event.ActionEvent e) {
				System.exit(0);
			}
		});

		buttonLogin.addActionListener(new ActionListener() {
			
			public void actionPerformed(java.awt.event.ActionEvent e) {
				WebServiceLogin wSL = new WebServiceLogin();
				if (wSL.loginWS(textUsuario.getText(),
						passContraseña.getText())) {
					textUsuario.setEnabled(false);
					passContraseña.setEnabled(false);
					labelMensaje.setText("Bienvenido a DicomBrowser");
									
					DicomBrowser.runDicomBrowser(new String[0]);
				} else {
					labelMensaje.setText("Usuario y/o contraseña incorrectos");
				}
			}
		});

		jf.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});

	}

	public static void main(String args[]) {
		Login l = new Login();
	}
}